﻿@model IEnumerable<ThirdMVCAppMy.Models.OrderBasket.OrderBasketModel>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

    <h1>Your orders</h1>

<p>
    
</p>
<table class="table">
    <thead>
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.UserName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.CreatedOrder)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.TotalAmount)
        </th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    @foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CreatedOrder)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.TotalAmount)
            </td>
            <td>
                <a asp-controller="OrderBasket" asp-action="Details" asp-route-id="@item.Id">Details</a>
            </td>
            <td></td>
        </tr>
    }
    </tbody>
</table>

<div>
    <a asp-controller="Restaurant" asp-action="Index">Back to List Restaurants</a>
</div>
